package org.acme;

import javax.ws.rs.core.Application;
import org.eclipse.microprofile.openapi.annotations.Components;
import org.eclipse.microprofile.openapi.annotations.OpenAPIDefinition;
import org.eclipse.microprofile.openapi.annotations.info.Info;
import org.eclipse.microprofile.openapi.annotations.responses.APIResponse;

@OpenAPIDefinition(
        info = @Info(title = "OpenAPI Documentation Example", version = "1"),
        components = @Components(
                responses = {
                    @APIResponse(name = "ok", responseCode = "200", description = "It's all good!"),
                    @APIResponse(name = "unauthorized", responseCode = "401", description = "Y'all need to authenticate!"),
                    @APIResponse(name = "forbidden", responseCode = "403", description = "I'm sorry Dave, you can't do that.")
                }
        )
)
public class MyApplication extends Application {
    
}
